This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 812748 - [as7] Add bundle support for standalone mode
[as7] Add bundle support for standalone mode
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-16 03:14 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:18:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-16 03:14:55 EDT
as7 in standalone mode has a directory for deployments at standalone/deployments - we need to support bundles for this.
No bundle support for domain though
Comment 1 Heiko W. Rupp 2012-04-16 11:32:46 EDT
Our current bundle descriptors do not provide relative directories,
so that I can't write


    <bundle-target>
       <destination-base-dir name="Deploy Directory" description="The deployment directory for a standalone server">
          <value-context>pluginConfiguration</value-context>
          <value-name>$homeDir/standalone/deployment</value-name>
       </destination-base-dir>
  </bundle-target>

To use $homeDir as property in the plugin configuration and have standalone/deployment added.

So a new config property needs to be added.
Comment 2 Heiko W. Rupp 2012-04-16 11:43:35 EDT
master 54cb883304
Comment 3 Heiko W. Rupp 2013-09-01 06:18:23 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.